# ==========================================================================
# Biobase package initialization
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
# we need to be more careful about the where argument. If any of these
# function calls load a library, where is wrong from there on...
# ==========================================================================
.onLoad <- function(libname, pkgname) {
   # need contents to load at library attach - not at build time
   where <- match(paste("package:", pkgname, sep=""), search())
   .initContents() # in environment.R
   .buildBiobaseOpts() # in environment.R
   cat("\nWelcome to Bioconductor \n\n")
   cat("\tVignettes contain introductory material.\n")
   cat("\tTo view, simply type 'openVignette()' or start with 'help(Biobase)'. \n")
   #cat("\t to see the available vignettes\n")
   cat("\tFor details on reading vignettes, see the openVignette help page.\n\n")
   ##set up menus -- windows only for now
   if( .Platform$OS.type == "windows" && .Platform$GUI == "Rgui" )
      addVigs2WinMenu("Biobase") # in vignettes.R
}
